// RuntimeCA.java

package org.objectweb.jonas.jtests.beans.jca15;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * RuntimeCA remote interface
 */
public interface RuntimeCA extends EJBObject {
    //public void method1() throws RemoteException;
    public void method1(java.lang.String s,java.lang.String t) throws RemoteException,Exception;
    public int getMCF_Pwriter() throws RemoteException;
    public int getMC_Pwriter() throws RemoteException;
    public void closeUp(int w) throws RemoteException;

    public String getResAuth() throws RemoteException;
    public String getSecurityPassword() throws RemoteException;
    public String getSecurityUserName() throws RemoteException;
    public void setResAuth(java.lang.String res_auth) throws RemoteException;

}
